### Property

# Ide Buffer:diagnostics

#### Declaration

    property diagnostics: Ide.Diagnostics [ read, write ]

#### Description

The “diagnostics” property contains an `IdeDiagnostics` that represent the diagnostics found in the buffer.

Type: | `IdeDiagnostics`
Available since: | 3.32

Setter method | `ide_buffer_set_diagnostics()`
Getter method | `ide_buffer_get_diagnostics()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no